API Reference
=============

.. automodule:: pyproject_metadata
   :members:
   :undoc-members:
   :show-inheritance:
   :exclude-members: ConfigurationError

Submodules
----------

pyproject\_metadata.constants module
------------------------------------

.. automodule:: pyproject_metadata.constants
   :members:
   :undoc-members:
   :show-inheritance:

pyproject\_metadata.errors module
---------------------------------

.. automodule:: pyproject_metadata.errors
   :members:
   :undoc-members:
   :show-inheritance:

pyproject\_metadata.project\_table module
-----------------------------------------

.. automodule:: pyproject_metadata.project_table
   :members:
   :undoc-members:
   :show-inheritance:
